clear all
clc
% Example 10-1 File Name EX10_1calc.m
% Calculation of Initial Conditions
% PMAC Parameters
Rs=0.416; Ls=1.365e-3; Jeq=3.4e-4; p=4;
ke=0.0957;
Lambda_f=ke/(sqrt(2/3))
% Steady State Operating Condition
% Phasor Calculations
Wmech_0=6000*2*pi/60
Wsyn=Wmech_0*(p/2)
Tem_0=3.2
TL_0=Tem_0
Isq_0=Tem_0/((p/2)*Lambda_f)
Isd_0=0
Lambda_sd_0=Ls*Isd_0+Lambda_f
Lambda_sq_0=Ls*Isq_0

E_fa=ke*Wsyn
Is=sqrt(3/2)*(-j)*(Isd_0+j*Isq_0)     %d-axis is 90 degrees behind the a axis
Ia=Is/1.5
Va=E_fa+Ia*(Rs+j*Wsyn*Ls)
theta_0=angle(Va)
VLLrms=abs(Va)/sqrt(2)*sqrt(3)
Vs=1.5*Va
Vsd_0=sqrt(2/3)*real(j*Vs)
Vsq_0=sqrt(2/3)*imag(j*Vs)

% controller calculations for example 5_2
Wc=2500; % crossover freq in rad/s
k=(p/2)*Lambda_f; % Isq to torque gain
PM=60*pi/180; % phase margin in rad/s
Wc_kp_by_ki=tan(PM);
ki=Wc*Wc*Jeq/(k*sqrt(1+(tan(PM)^2)))
kp=ki*Wc_kp_by_ki/Wc

% check
GOL=(kp+ki/(j*Wc))*k/(Jeq*j*Wc)
GOLmag=abs(GOL)
GOLang=angle(GOL)*180/pi


% PI in current loop
Wci=10*Wc
PMi=PM
Wci_kpi_by_kii=tan(PMi-pi/2+atan(Wci*Ls/Rs))
kii=Wci*sqrt(Rs*Rs+(Wci*Ls)^2)/sqrt(Wci_kpi_by_kii^2+1)
kpi=Wci_kpi_by_kii*kii/Wci

% check
GOLi=(kpi+kii/(j*Wci))/(Rs+j*Wci*Ls)
GOLmagi=abs(GOLi)
GOLangi=angle(GOLi)*180/pi







