clear all
clc
% Example 6-2 File Name EX6_2calc.m
% Calculation of Initial Conditions
% Induction Motor Parameters
Rs=1.77;
Rr=1.34;
Xls=5.25;
Xlr=4.57;
Xm=139;
p=4;
Jeq=1e6 % Infinite Inertia to simulate blocked rotor condition

% Calculation of machine inductances
f=60; % for calculation of machine inductances
Ls = (Xls + Xm) / (2*pi*f);
Lm = Xm / (2*pi*f);
Lr = (Xlr + Xm) / (2*pi*f);
tau_r=Lr/Rr;
Lr_est=Lr;
Rr_est=0.5*Rr;
tau_r_est=Lr_est/Rr_est;
k_tau=tau_r/tau_r_est

% Initial operating conditions
Isd_0=3.1
Wmech_0=0
fl_rd_0=Lm*Isd_0
Isq_0=4.0

% Calculations
m=Isq_0/Isd_0
k_tau=tau_r/tau_r_est
Isd_ratio=sqrt((1+m^2)/(1+(k_tau^2)*m*m))
Isq_ratio=k_tau*Isd_ratio
T_ratio=Isd_ratio*Isq_ratio
Theta_err=atan(m)-atan(m*k_tau)





